MongoCursorException::getHost
MongoConnectionException
Exceptions
PHP Manual

# The MongoCursorTimeoutException class

(PECL mongo >= 1.0.0)

## Wstęp

Caused by a query timing out. You can set the length of time to wait before this exception is thrown by calling MongoCursor::timeout() on the cursor or setting MongoCursor::$timeout. The static variable is useful for queries such as database commands and MongoCollection::findOne(), both of which implicitly use cursors.

## Krótki opis klasy

MongoCursorTimeoutException extends MongoCursorException {
}

MongoCursorException::getHost
MongoConnectionException
Exceptions
PHP Manual